Subject: Re: Post AIW5 Capabilities Exchange

From: [email-masked] (Scott Barvick)
Date: Wed, 3 Aug 1994 09:40:54 -0400 (EDT)

It looks like this has been documented and has just slipped through.(?)
 I agree with the proposal to drop the NetBIOS CV and further
 SAP specific CV definition.  Even comments in the proposal to call
 out applications for specific SAPs are not necessary.  Supporting SAP xF0
 does carry with it a large amount of extra baggage when it comes
 to supporting NetBIOS, but everyone knows the implications.
 If we need to carry information to support a given SAP (possibly
 LNM for example), then we will need a new CV.  If it is just the
 support, then we avoid the OR and possible confusion.  
 
 Scott
 [email-masked]

 
> > 
> > I agree with Scott, DLSw should allow the setting of any SAP within this CV
> > Also, I was under the impression that a 16 byte bit vector was agreed upon
> > at AIW5 for the structure of this vector. I will include what I understand
> > that to look like.
> > 
> >         +---------------------------------------------------------------+
> >         |   SAP List Support (X'86') Control Vector                     |
> >         |                                                               |
> >         |       The SAP List Support control vector identifies support  |
> >         |       for SAPs by the sending Data Link Switch. Each bit in   |
> >         |       the SAP control vector data field represents a SAP as   |
> >         |       defined below. This vector is required.                 |
> >         |                                                               |
> >         +---------------------------------------------------------------+
> > 
> >         Offset  Length  Value       Contents
> >         ------  ------  -----       --------
> >            0       1    X'12'       Length of the SAP List Support structured
> >                                     subfield
> >            1       1    X'86'       key = X'86' that identifies this as the
> >                                     SAP List Support structured subfield
> >           2-17    16                the 16-byte bit vector describing all
> >                                     even numbered SAP's enabled.
> > 
> >                                     Each Bit within the 16 byte bit vector will
> >                                     indicate whether an even numbered SAP is
> >                                     enabled (b'1') or disabled (b'0').
> > 
> >                                     Each Byte within the 16 byte bit vector
> >                                     will be numbered from 0 - F. (In the
> >                                     following 1 byte example x would be
> >                                     equal to the appropriate byte number.)
> > 
> >                                     bbbb bbbb
> >                                     |||| ||||
> >                                     |||| |||SAP 'xE' enabled or not
> >                                     |||| |||
> >                                     |||| ||SAP 'xC' enabled or not
> >                                     |||| ||
> >                                     |||| |SAP 'xA' enabled or not
> >                                     |||| |
> >                                     |||| SAP 'x8' enabled or not
> >                                     ||||
> >                                     |||SAP 'x6' enabled or not
> >                                     |||
> >                                     ||SAP 'x4' enabled or not
> >                                     ||
> >                                     |SAP 'x2' enabled or not
> >                                     |
> >                                     SAP 'x0' enabled or not
> > 
> > 
> > >       +---------------------------------------------------------------+
> > >       |   NetBIOS Support (X'85') Control Vector                      |
> > >       |                                                               |
> > >       |       The NetBIOS Support control vector identifies support   |
> > >       |       for the NetBIOS protocol by the sending Data Link       |
> > >       |       Switch.  This control vector is optional.  If it is     |
> > >       |       omitted in a DLSw Capabilities Exchange, the sending    |
> > >       |       Data Link Switch may still support NetBios depending on |
> > >       |       the SAP List Support control vector. See below.         |
> > >       |                                                               |
> > >       +---------------------------------------------------------------+
> > 
> > After thinking this over for a bit, I'd like to propose that we drop the
> > NetBIOS Support Control Vector altogether. With the SAP Support List now
> > being declared required, the need for specific CAPex vectors for features
> > that are defined by a certain SAP is redundant. With Scott's question fresh
> > in our minds ("..... is DLSw going to support LNM?"), do we want to be
> > in a position where we have to add a new vector each time DLSw adds
> > additional support?
> > 
> > 
>